Skip to content

Get an import job

GET
/api/v1/import-jobs/{job_id}
curl --request GET \
--url http://127.0.0.1:8080/api/v1/import-jobs/example \
--header 'Authorization: Bearer <token>'
job_id
required
string

OK

Media typeapplication/json
object
cancellation_requested_at
string format: date-time
created_at
required
string format: date-time
error
string
finished_at
string format: date-time
id
required
string
importer
required

The source formats this import came from, in the reader’s words

string
lead_title

The title of this job’s first recipe, for naming the import by what it brought

string
on_duplicate
required
string
Allowed values: reject skip replace
progress
required
object
cancelled
required
integer format: int64
current_batch
required

The one-based batch being processed, zero before work starts

integer format: int64
diagnostic_occurrences
required
integer format: int64
diagnostics
required
Array<object> | null
object
area
required
string
class
required
string
Allowed values: blocking actionable informational
code
required
string
message
required
string
occurrences
required
integer format: int64
>= 1
recipes
required
integer format: int64
>= 1
key
additional properties
any
failed
required
integer format: int64
finished
required
integer format: int64
imported
required
integer format: int64
informational_preservation
required
integer format: int64
pending
required
integer format: int64
resumable
required

Unfinished recipes Savorum still holds enough of to run again

integer format: int64
review_required
required
integer format: int64
running
required
integer format: int64
skipped
required
integer format: int64
total
required
integer format: int64
total_batches
required
integer format: int64
>= 1
without_diagnostics
required
integer format: int64
key
additional properties
any
resolution_decisions
required
Array<object> | null
object
affected_ingredient_count
required
integer format: int64
affected_occurrence_ids
required
Array<string> | null
affected_recipe_count
required
integer format: int64
convention
string
convention_unit_ids
Array<string> | null
decision_scope
required
string
excluded_item_ids
Array<string> | null
excluded_occurrence_ids
Array<string> | null
impact_digest
required
string
interpretation_kind
required
string
original_actionable_count
required
integer format: int64
parser_version
required
string
resolution_kind
required
string
resulting_actionable_count
required
integer format: int64
scope_ingredient_ids
Array<string> | null
scope_occurrence_keys
Array<string> | null
unit_id
string
unit_registry_version
required
string
key
additional properties
any
source
required

What was chosen: a filename, several, or the format when there was no file

string
started_at
string format: date-time
state
required
string
Allowed values: pending running completed completed-with-errors cancelled failed interrupted
total_items
required
integer format: int64
key
additional properties
any
Example
{
"on_duplicate": "reject",
"progress": {
"diagnostics": [
{
"class": "blocking"
}
]
},
"state": "pending"
}

No valid session or API token (authentication-required), or the credential sent is invalid (invalid-credentials).

Media typeapplication/problem+json
object
code
required
string
detail
required
string
status
required
integer format: int64
title
required
string
type
required
string
key
additional properties
any
Examplegenerated
{
"code": "example",
"detail": "example",
"status": 1,
"title": "example",
"type": "example"
}

Not Found

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}

Unprocessable Entity

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}

Internal Server Error

Media typeapplication/problem+json
object
code

Stable application error code; clients may also use the problem type suffix.

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object> | null
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

key
additional properties
any
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
params

Structured context for the stable error code.

object
key
additional properties
any
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank
violations
Array<object>
object
code
required
string
location
required
string
params
object
key
additional properties
any
key
additional properties
any
Example
{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}